/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.dto.planSceneCase;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：计划场景用例节点任务表
*
* createdate:  2022-12-06 11:32:04  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "计划场景用例节点任务表")
public class AtuPlanSceneCaseTaskQueryDto implements Serializable
{
    @NotBlank(message = "任务编号不能为空")
    @ApiModelProperty("任务编号")
    private String taskId;

    @ApiModelProperty("脚本名称")
    private String scriptName;

    @ApiModelProperty("状态")
    private String status;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}